<?php

namespace Asanak;


class AsanakApi
{
	
	protected $username;
	
	protected $password;

	protected $to;

	protected $from;

	protected $dig_messagetemplate;

	
	private $namespace = '';
	
	public function __construct($username,$password, $to, $from, $dig_messagetemplate)
	{

		if (is_null($username)||is_null($password)) {
			
			die('username/password is empty');
			
			exit;
		}
		
		$this->username = $username;
		
		$this->password = $password;

		$this->to = $to;

		$this->from = $from;

		$this->dig_messagetemplate = $dig_messagetemplate;
	}
	
	public function send()
	{
		$url = "https://panel.asanak.com/webservice/v2rest/sendsms?username={$this->username}&password={$this->password}&source={$this->from}&destination={$this->to}&message={$this->dig_messagetemplate}";
        $args = array(
            'method' => 'POST',
        );

        $sendResult = wp_remote_request($url, $args);

        if (is_wp_error($sendResult)) {
            return 'خطا در برقراری ارتباط';
        }

        $response_body = wp_remote_retrieve_body($sendResult);
        $sms = json_decode($response_body, true);

        if (isset($sms['meta']['status']) && $sms['meta']['status'] == 200) {
            return 'پیامک با موفقیت ارسال شد.';
        } elseif (isset($sms['meta']['message'])) {
			error_log('asanak error : ' . $sms['meta']['message']);
            return "ارسال پیامک با خطا مواجه شد";
        } else {
            return 'خطای نامشخص: ' . $response_body;
        }		
	}
	
}
